<div class="eui-u-flex eui-u-flex-justify-content-end">
  <button
    *ngFor="let btn of buttons; trackBy: trackByFn"
    class="{{ btn.class ? btn.class : 'eui-button--basic eui-button--info' }}"
    euiButton
    euiTooltip="{{ btn.tooltip | translate: btn.tooltipParam }}"
    [tabindex]="-1"
    euiDisabled="{{ btn.disabled === true }}"
    (click)="handleBtnClicked(btn)">
    <eui-icon-svg
      *ngIf="btn.icon"
      icon="{{ btn.icon }}"
      set="{{ btn?.set || 'eui' }}"
      size="m"
      fillColor="{{ btn.color || 'grey-100' }}"
      class="{{ btn.iconClass }}"></eui-icon-svg>
    <img *ngIf="btn.iconSrc" src="../../../assets/images/{{ btn.iconSrc }}.svg" alt="Unlink" />
    <span *ngIf="btn.label"> {{ btn.label | translate }}</span>
  </button>
</div>
